Package net.shibboleth.idp.authn

# Interface AccountLockoutManager

All Known Subinterfaces:
  `EnumeratableAccountLockoutManager`

All Known Implementing Classes:
  `StorageBackedAccountLockoutManager`

public interface AccountLockoutManager
A component that manages lockout state for accounts.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check(ProfileRequestContext profileRequestContext)`
Check if the authentication credentials associated with the request are subject to lockout.
`boolean`
`clear(ProfileRequestContext profileRequestContext)`
Clear the lockout state for the authentication credentials associated with the request.
`boolean`
`increment(ProfileRequestContext profileRequestContext)`
Increment the lockout counter for the authentication credentials associated with the request.

## Method Details

### check

boolean check(@Nonnull ProfileRequestContext profileRequestContext)
Check if the authentication credentials associated with the request are subject to lockout.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  true iff the credentials correspond to a locked account

### increment

boolean increment(@Nonnull ProfileRequestContext profileRequestContext)
Increment the lockout counter for the authentication credentials associated with the request.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  true iff the counter was incremented

### clear

boolean clear(@Nonnull ProfileRequestContext profileRequestContext)
Clear the lockout state for the authentication credentials associated with the request.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  true iff the state was successfully cleared